Package org.eclipse.zest.layouts.interfaces

# Interface NodeLayout

All Superinterfaces:
  `EntityLayout`

public interface NodeLayout extends EntityLayout

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`ConnectionLayout[]`
`getIncomingConnections()`
Returns all connections that have this node as a target.
`ConnectionLayout[]`
`getOutgoingConnections()`
Returns all connections that have this node as a source.
`NodeLayout[]`
`getPredecessingNodes()`
Returns all nodes that are direct predecessors of this node.
`SubgraphLayout`
`getSubgraph()`
`NodeLayout[]`
`getSuccessingNodes()`
Returns all nodes that are direct successors of this node.
`boolean`
`isMinimized()`
`boolean`
`isPrunable()`
`boolean`
`isPruned()`
`void`
`prune(SubgraphLayout subgraph)`
`void`
`setMinimized(boolean minimized)`
Sets the minimized state of this Node.

### Methods inherited from interface org.eclipse.zest.layouts.interfaces.EntityLayout

`getItems, getLocation, getPredecessingEntities, getPreferredAspectRatio, getSize, getSuccessingEntities, isMovable, isResizable, setLocation, setSize`

## Method Details

### isPrunable

boolean isPrunable()

### isPruned

boolean isPruned()

### getSubgraph

SubgraphLayout getSubgraph()

Returns:
  a subgraph this node belongs to or null if this node is not pruned

### prune

void prune(SubgraphLayout subgraph)

Parameters:
  `subgraph` - a subgraph this node should belong to or null if this node should not be pruned

### getSuccessingNodes

NodeLayout[] getSuccessingNodes()
Returns all nodes that are direct successors of this node. Nodes connected with this node by a bidirectional connection are considered both successors and predecessors. Any subsequent changes to the returned array do not affect this node.

Returns:
  array of successors of this node

### getPredecessingNodes

NodeLayout[] getPredecessingNodes()
Returns all nodes that are direct predecessors of this node. Nodes connected with this node by a bidirectional connection are considered both successors and predecessors. Any subsequent changes to the returned array do not affect this node.

Returns:
  array of predecessors of this node

### getIncomingConnections

ConnectionLayout[] getIncomingConnections()
Returns all connections that have this node as a target. All connections that are bidirectional and are adjacent to this node will be also included in the result. Any subsequent changes to the returned array do not affect this node.

Returns:
  array of connections entering this node

### getOutgoingConnections

ConnectionLayout[] getOutgoingConnections()
Returns all connections that have this node as a source. All connections that are bidirectional and are adjacent to this node will be also included in the result. Any subsequent changes to the returned array do not affect this node.

Returns:
  array of connections leaving this node

### setMinimized

void setMinimized(boolean minimized)
Sets the minimized state of this Node. Node that is minimized resizes its figure to (0, 0). When it is unminimized, it resizes back to previous dimension. The node's size property is not affected by minimized state, so an it can be minimized even if it's not resizable.

Parameters:
  `minimized` - new minimized state

### isMinimized

boolean isMinimized()

Returns:
  true if this entity is minimized
See Also:
  - `setMinimized(boolean)`